gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Item A widget used for items in menus.

The and derived widgets are the only valid children for menus. Their function is to correctly handle highlighting, alignment, events and submenus.

`MenuBar mb = new MenuBar (); Menu file_menu = new Menu (); MenuItem exit_item = new MenuItem("Exit"); file_menu.Append (exit_item); MenuItem file_item = new MenuItem("File"); file_item.Submenu = file_menu; mb.Append (file_item);`
- Constructor
  2.12.0.0
  A constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The label text on the menu item, with an underscore in front of the mnemonic character.
  Creates a new MenuItem containing a label.
- Property
  2.12.0.0
  System.String Sets the accelerator path. The accelerator path of the menu item.

  Sets the accelerator path, through which runtime changes of the menu item's accelerator caused by the user can be identified and saved to persistant storage.

- Method
  2.12.0.0
  System.Void Emits the event on the given item.
- Event
  2.12.0.0
  GLib.Signal("activate")
  System.EventHandler Emitted when the item is activated.
- Event
  2.12.0.0
  GLib.Signal("activate_item")
  System.EventHandler Emitted when the item is activated, but also if the menu item has a submenu. For normal applications, the relevant event is .
- Method
  2.12.0.0
  System.Void Fires the event.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivated", Type=typeof(Gtk.MenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivateItem", Type=typeof(Gtk.MenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleSizeAllocated", Type=typeof(Gtk.MenuItem))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleSizeRequested", Type=typeof(Gtk.MenuItem))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Obsolete
  System.Void Removes the submenu of the , if it has one.
- Property
  2.12.0.0
  System.Boolean Sets or obtains whether the menu item appears justified at the right side of a menu bar. Returns if the menu item will appear at the far right if added to a menu bar.
- Method
  2.12.0.0
  System.Void Fires the event.
- Property
  2.12.0.0
  GLib.Property("submenu")
  Gtk.Widget Sets or obtains the widget submenu. A submenu for this menu item, or if none. `// A container: Menu mnuFile = new Menu(); // An item MenuItem itmFile = new MenuItem ("_File"); // Add the item into the container: itmFile.Submenu = mnuFile; // // Add the newly-created File menu into the menubar: menuBar.Add (itmFile);`
- Method
  2.12.0.0
  System.Void `` The allocation to use as signal data. Emits the event on the given item.
- Event
  2.12.0.0
  GLib.Signal("toggle_size_allocate")
  Gtk.ToggleSizeAllocatedHandler Emitted when size is allocated.
- Method
  2.12.0.0
  System.Int32 Emits the event on the given item. The requisition to use as signal data.
- Event
  2.12.0.0
  GLib.Signal("toggle_size_request")
  Gtk.ToggleSizeRequestedHandler Emitted when size is requested.